<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: WiFiAPRecord Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#friends">Friends</a> &#124;
<a href="classWiFiAPRecord-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">WiFiAPRecord Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Manage mDNS server.  
 <a href="classWiFiAPRecord.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="WiFi_8h_source.html">WiFi.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aa8857d2c0e0162b6eb38258db488131d"><td class="memItemLeft" align="right" valign="top">wifi_auth_mode_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWiFiAPRecord.html#aa8857d2c0e0162b6eb38258db488131d">getAuthMode</a> ()</td></tr>
<tr class="memdesc:aa8857d2c0e0162b6eb38258db488131d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the auth mode.  <a href="#aa8857d2c0e0162b6eb38258db488131d">More...</a><br /></td></tr>
<tr class="separator:aa8857d2c0e0162b6eb38258db488131d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae024a1fbae5a6af6390c2a40513ff15d"><td class="memItemLeft" align="right" valign="top">int8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWiFiAPRecord.html#ae024a1fbae5a6af6390c2a40513ff15d">getRSSI</a> ()</td></tr>
<tr class="memdesc:ae024a1fbae5a6af6390c2a40513ff15d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the RSSI.  <a href="#ae024a1fbae5a6af6390c2a40513ff15d">More...</a><br /></td></tr>
<tr class="separator:ae024a1fbae5a6af6390c2a40513ff15d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab7b7a360e920f2cb6933ed142ccce7bf"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWiFiAPRecord.html#ab7b7a360e920f2cb6933ed142ccce7bf">getSSID</a> ()</td></tr>
<tr class="memdesc:ab7b7a360e920f2cb6933ed142ccce7bf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the SSID.  <a href="#ab7b7a360e920f2cb6933ed142ccce7bf">More...</a><br /></td></tr>
<tr class="separator:ab7b7a360e920f2cb6933ed142ccce7bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b634da0afbfeb15a9b4f52681a06ee1"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWiFiAPRecord.html#a7b634da0afbfeb15a9b4f52681a06ee1">toString</a> ()</td></tr>
<tr class="memdesc:a7b634da0afbfeb15a9b4f52681a06ee1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return a string representation of the <a class="el" href="classWiFi.html" title="WiFi driver.">WiFi</a> access point record.  <a href="#a7b634da0afbfeb15a9b4f52681a06ee1">More...</a><br /></td></tr>
<tr class="separator:a7b634da0afbfeb15a9b4f52681a06ee1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:a8278058e65dac2deaa310a5babbad769"><td class="memItemLeft" align="right" valign="top"><a id="a8278058e65dac2deaa310a5babbad769"></a>
class&#160;</td><td class="memItemRight" valign="bottom"><b>WiFi</b></td></tr>
<tr class="separator:a8278058e65dac2deaa310a5babbad769"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Manage mDNS server. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="aa8857d2c0e0162b6eb38258db488131d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa8857d2c0e0162b6eb38258db488131d">&#9670;&nbsp;</a></span>getAuthMode()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">wifi_auth_mode_t WiFiAPRecord::getAuthMode </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get the auth mode. </p>
<dl class="section return"><dt>Returns</dt><dd>The auth mode. </dd></dl>

</div>
</div>
<a id="ae024a1fbae5a6af6390c2a40513ff15d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae024a1fbae5a6af6390c2a40513ff15d">&#9670;&nbsp;</a></span>getRSSI()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int8_t WiFiAPRecord::getRSSI </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get the RSSI. </p>
<dl class="section return"><dt>Returns</dt><dd>the RSSI. </dd></dl>

</div>
</div>
<a id="ab7b7a360e920f2cb6933ed142ccce7bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab7b7a360e920f2cb6933ed142ccce7bf">&#9670;&nbsp;</a></span>getSSID()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string WiFiAPRecord::getSSID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get the SSID. </p>
<dl class="section return"><dt>Returns</dt><dd>the SSID. </dd></dl>

</div>
</div>
<a id="a7b634da0afbfeb15a9b4f52681a06ee1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7b634da0afbfeb15a9b4f52681a06ee1">&#9670;&nbsp;</a></span>toString()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string WiFiAPRecord::toString </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Return a string representation of the <a class="el" href="classWiFi.html" title="WiFi driver.">WiFi</a> access point record. </p>
<dl class="section return"><dt>Returns</dt><dd>A string representation of the <a class="el" href="classWiFi.html" title="WiFi driver.">WiFi</a> access point record. </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="WiFi_8h_source.html">WiFi.h</a></li>
<li>WiFi.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
